CURLOPT_RANDOM_FILE(3)

NAME
CURLOPT_RANDOM_FILE - specify a source for random data

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_RANDOM_FILE, char *path);

DESCRIPTION
Pass a char * to a null-terminated file name. The file might be used to read from to seed the random engine for SSL and more. The application does not have to keep the string around after setting this option.

DEFAULT
NULL, not used

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
  curl_easy_setopt(curl, CURLOPT_RANDOM_FILE, "junk.txt");
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK on success or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_EGDSOCKET(3),